<!doctype html>
<html lang="en">

<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <meta name="description"
        content="LoudWay is an experience based social networking and engagement ecosystem. Discover events, find activities nearby, plan an event, promote your business or event, store digital memories, and network with other users of similar interests in real life.  Available as a mobile application in fall of 2019 on both Android and iOS.">
    <title>Dealsocio</title>
    <meta name="viewport" content="width=device-width, user-scalable=no">
    <base href="/">
    <link rel="shortcut icon" href="./dist/img/Favicon.ico" type="image/x-icon">
    <link href="https://fonts.googleapis.com/css?family=Roboto" rel="stylesheet">
    <link rel="stylesheet" as="style"
        href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
    <link rel="stylesheet" as="style" href="./asset/bootstrap.css">
    <link rel="stylesheet" as="style" href="./asset/style.min.css">
</head>

<body class="terms-page" ng-app="myApp" ng-controller="myCtrl">
    <div class="container-fluid contact_page">
        <div class="row">
            <div class="col-sm-12 text-center pad-tb-30 top-container">
                <a href="/">
                    <img src="asset/logo.png" />
                </a>
                <!-- <p class="title-text">An app that lets you connect.</p> -->
                <!-- <h1 class="title-text">Contact</h1> -->
                <h2 class="title-text">Want to list your events?</h2>
                <p>We would like to hear from you.</p>
            </div>
            <div class="col-sm-6">
                <div class="contact_form">
                    <form>
                        <div class="input-group mb-3">
                            <input id="name" type="text" class="form-control" placeholder="Your name"
                                aria-label="Username" aria-describedby="basic-addon1">
                        </div>
                        <div class="input-group mb-3">
                            <input id="email" type="email" class="form-control" placeholder="Your email"
                                aria-label="email" aria-describedby="basic-addon1">
                        </div>
                        <div class="input-group mb-3">
                            <textarea id="textMsg" class="form-control" placeholder="Messages"></textarea>
                        </div>
                        <div class="input-group mb-3">
                            <button ng-click="submitForm()" type="button" id="submitBtn"
                                class="btn btn-primary form-control">Submit</button>
                        </div>

                    </form>
                </div>
            </div>
            <div class="col-sm-6 contact_address">
                <ul>
                    <li class="text-info"><b>DEALSOCIO TECHNOLOGIES LLP </b></li>
                    <li class="text-info"><b>Address : </b> House No 22 A Kh No. 19/24 Right Portion 1 St Flr Street No
                        5, Blk C, Rama Vihar Village, Mohamadpur Karala New Delhi - 110081 India</li>
                    <li class="text-info"><b>Phone Number :</b> +91 - 9810795663</li>
                    <li class="text-info"><b>Email :</b> contact@dealsocio.com</li>
                </ul>
            </div>
        </div>
    </div>

    <div class="footer">
        <span class="">
            &copy; DEALSOCIO TECHNOLOGIES LLP &nbsp; 2019
        </span>
        <ul>
            <li>
                <a href="about.html">
                    About
                </a>
            </li>
            <li>
                <a href="privacy-policy.html">
                    Privacy Policy
                </a>
            </li>
            <li>
                <a href="terms.html">
                    Terms of service
                </a>
            </li>
            <li>
                <a href="contact.html">
                    Contact
                </a>
            </li>
        </ul>
    </div>
    <script src="https://code.jquery.com/jquery-3.3.1.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.min.js"></script>
</body>
<script src="https://ajax.googleapis.com/ajax/libs/angularjs/1.6.9/angular.min.js"></script>
<script src="https://cdn.jsdelivr.net/npm/sweetalert2@8"></script>
<script>
    var app = angular.module('myApp', []);
    app.controller('myCtrl', function ($scope, $http) {

        $scope.submitForm = function () {
            let name = $('#name').val();
            let email = $('#email').val();
            let textMsg = $('#textMsg').val();
            if (!name) {
                alert('Please enter your name');
            }
            if (!email) {
                alert('Please enter your email');
            }
            if (!textMsg) {
                alert('Please enter your textMsg');
            }
            if (name && email && textMsg) {
                let obj = {
                    email: email,
                    name: name,
                    text: textMsg
                }

                const path = 'https://api.dealsocio.com/feedback/create';

                $http({
                    method: 'post',
                    headers: {
                        "Content-Type": "application/json",
                        "Authorization": "YOUR TOKEN"
                    },
                    url: path,
                    data: obj
                }).then(function (response) {
                    console.log(response);
                    Swal.fire(
                        'Great!',
                        'Thanks for connecting!',
                        'success'
                    )
                });

            }

        }
    });
</script>

</html>